import request from '@/utils/request'

// 船只系统数据管理
export function pipeSyGetList(data) { return request({ url: '/api/gj/pipeSystem/getList', method: 'post', data }) }

// 船只系统数据管理
export function pipeSyAdd(data) { return request({ url: '/api/gj/pipeSystem/add', method: 'post', data }) }

// 船只系统数据管理
export function pipeSyDel(data) { return request({ url: '/api/gj/pipeSystem/del', method: 'post', data }) }

// 船只系统数据管理
export function pipeSyUpdate(data) { return request({ url: '/api/gj/pipeSystem/update', method: 'post', data }) }

// ------------------------------------------------------------------------------------------------------------------------------------
// 船只表面处理单位
export function dmTreatmentGetList(data) { return request({ url: '/api/gj/dmTreatmentDepart/getList', method: 'post', data }) }

// 船只表面处理单位
export function dmTreatmentAdd(data) { return request({ url: '/api/gj/dmTreatmentDepart/add', method: 'post', data }) }

// 船只表面处理单位
export function dmTreatmentDel(data) { return request({ url: '/api/gj/dmTreatmentDepart/del', method: 'post', data }) }
export function getWjfkList(data) { return request({ url: '/api/gj/dmWjfk/getWjfkList', method: 'post', data }) }

// 船只表面处理单位
export function dmTreatmentUpdate(data) {
  return request({
    url: '/api/gj/dmTreatmentDepart/update',
    method: 'post',
    data
  })
}

// 船只表面处理单位base
export function base(data) {
  return request({
    url: '/api/gj/dmTreatmentDepart/base',
    method: 'post',
    data
  })
}

// 船只信息
export function getProjectTree(data) {
  return request({
    url: '/api/gj/dmProject/getTreeList',
    method: 'post',
    data
  })
}

// 船只信息 下拉框
export function getProjectDown(data) {
  return request({
    url: '/api/gj/dmProject/getProjectDown',
    method: 'post',
    data
  })
}

// ------------------------------------------------------------------------------------------------------------------------------------
// 标准定额焊材重量
export function dmWeldmatQuotaGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmWeldmatQuota/getList',
    method: 'post',
    data
  })
}

// 标准定额焊材重量
export function dmWeldmatQuotaAdd(data) {
  return request({
    url: '/api/gj/dmWeldmatQuota/add',
    method: 'post',
    data
  })
}

// 标准定额焊材重量
export function dmWeldmatQuotaDel(data) {
  return request({
    url: '/api/gj/dmWeldmatQuota/del',
    method: 'post',
    data
  })
}

// 标准定额焊材重量
export function dmWeldmatQuotaUpdate(data) {
  return request({
    url: '/api/gj/dmWeldmatQuota/update',
    method: 'post',
    data
  })
}

// ------------------------------------------------------------------------------------------------------------------------------------
// 计算公式
export function dmFormulaGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmFormula/getList',
    method: 'post',
    data
  })
}

// 船只表面处理单位
export function dmFormulaAdd(data) {
  return request({
    url: '/api/gj/dmFormula/add',
    method: 'post',
    data
  })
}

// 船只表面处理单位
export function dmFormulaDel(data) {
  return request({
    url: '/api/gj/dmFormula/del',
    method: 'post',
    data
  })
}

// 船只表面处理单位
export function dmFormulaUpdate(data) {
  return request({
    url: '/api/gj/dmFormula/update',
    method: 'post',
    data
  })
}

// 船只表面处理单位base
export function dmFormulabase(data) {
  return request({
    url: '/api/gj/dmFormula/base',
    method: 'post',
    data
  })
}

// ------------------------------------------------------------------------------------------------------------------------------------
// 标准定额工时
export function dmManhourQuotaGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmManhourQuota/getList',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmManhourQuotaAdd(data) {
  return request({
    url: '/api/gj/dmManhourQuota/add',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmManhourQuotaDel(data) {
  return request({
    url: '/api/gj/dmManhourQuota/del',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmManhourQuotaUpdate(data) {
  return request({
    url: '/api/gj/dmManhourQuota/update',
    method: 'post',
    data
  })
}

// 标准定额工时BASE
export function dmManhourQuotaBase(data) {
  return request({
    url: '/api/gj/dmManhourQuota/base',
    method: 'post',
    data
  })
}

// 标准定额工时1
export function dmManhourQuota1GetList(data) { return request({ url: '/api/gj/dmManhourQuota1/getList', method: 'post', data }) }

// 标准定额工时1
export function dmManhourQuota1Add(data) { return request({ url: '/api/gj/dmManhourQuota1/add', method: 'post', data }) }

// 标准定额工时1
export function dmManhourQuota1Del(data) { return request({ url: '/api/gj/dmManhourQuota1/del', method: 'post', data }) }

// 标准定额工时1
export function dmManhourQuota1Update(data) { return request({ url: '/api/gj/dmManhourQuota1/update', method: 'post', data }) }

// 标准定额工时BASE1
export function dmManhourQuota1Base(data) { return request({ url: '/api/gj/dmManhourQuota1/base', method: 'post', data }) }

// ------------------------------------------------------------------------------------------------------------------------------------
// 分卡原则
export function dmBatchsplitGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmBatchsplit/getList',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmBatchsplitAdd(data) {
  return request({
    url: '/api/gj/dmBatchsplit/add',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmBatchsplitDel(data) {
  return request({
    url: '/api/gj/dmBatchsplit/del',
    method: 'post',
    data
  })
}

// 标准定额工时
export function dmBatchsplitUpdate(data) {
  return request({
    url: '/api/gj/dmBatchsplit/update',
    method: 'post',
    data
  })
}

// 标准定额工时BASE
export function dmBatchsplitBase(data) {
  return request({
    url: '/api/gj/dmBatchsplit/base',
    method: 'post',
    data
  })
}

// ------------------------------------------------------------------------------------------------------------------------------------
// 管型数据
export function dmPipeShapeGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmPipeShape/getList',
    method: 'post',
    data
  })
}

// 管型数据
export function dmPipeShapeAdd(data) {
  return request({
    url: '/api/gj/dmPipeShape/add',
    method: 'post',
    data
  })
}

// 管型数据
export function dmPipeShapeDel(data) {
  return request({
    url: '/api/gj/dmPipeShape/del',
    method: 'post',
    data
  })
}

// 管型数据
export function dmPipeShapeUpdate(data) {
  return request({
    url: '/api/gj/dmPipeShape/update',
    method: 'post',
    data
  })
}

// 管型数据 base
export function dmPipeShapeBase(data) {
  return request({
    url: '/api/gj/dmPipeShape/base',
    method: 'post',
    data
  })
}

// ------------------------------------------------------------------------------------------------------------------------------------
//涂装工艺查询
export function list(data){
  return request({
    url: '/api/gj/dmPaintProcess/list',
    method: 'post',
    data
  })
}
// 管系涂装工艺维护
export function dmPaintProcessGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/dmPaintProcess/getList',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护
export function dmPaintProcessAdd(data) {
  return request({
    url: '/api/gj/dmPaintProcess/add',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护
export function dmPaintProcessDel(data) {
  return request({
    url: '/api/gj/dmPaintProcess/del',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护
export function dmPaintProcessUpdate(data) {
  return request({
    url: '/api/gj/dmPaintProcess/update',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护 base
export function dmPaintProcessBase(data) {
  return request({
    url: '/api/gj/dmPaintProcess/base',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护 open 物品
export function dmMateriaGetOpen(data) {
  return request({
    url: '/api/gj/dmMateria/getOpen',
    method: 'post',
    data
  })
}

// 管系涂装工艺维护 open 基础
export function dmMateriaGetBase(data) {
  return request({
    url: '/api/gj/dmMateria/openBase',
    method: 'post',
    data
  })
}
// 管系涂装工艺维护 open 基础
export function upload(data) {
  const param = new FormData()
  param.append('file', data.file)
  param.append('file', data.project)
  return request({
    url: '/api/gj/dmPaintProcess/upload',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// -----------------------------------------------------
// 工艺技术数据
export function dmProcessGetList(data) { return request({ url: '/api/gj/dmProcess/getList', method: 'post', data }) }

// 工艺技术数据
export function dmProcessAdd(data) { return request({ url: '/api/gj/dmProcess/add', method: 'post', data }) }

// 工艺技术数据
export function dmProcessDel(data) { return request({ url: '/api/gj/dmProcess/del', method: 'post', data }) }

// 工艺技术数据
export function dmProcessUpdate(data) { return request({ url: '/api/gj/dmProcess/update', method: 'post', data }) }

// 工艺技术数据
export function dmProcessBase(data) { return request({ url: '/api/gj/dmProcess/base', method: 'post', data }) }

/**
 * 需求单位查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function getXqdwList(data) {
  return request({
    url: '/api/gxzz/xqdw/get',
    method: 'post',
    data
  })
}

/**
 * 需求单位添加
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function addXqdw(data) {
  return request({
    url: '/api/gxzz/xqdw/add',
    method: 'post',
    data
  })
}

/**
 * 需求单位修改
 * @param {*} data
 * @returns
 */
export function updateXqdw(data) {
  return request({
    url: '/api/gxzz/xqdw/udpate',
    method: 'post',
    data
  })
}

/**
 * 需求单位删除
 * @param {*} data
 * @returns
 */
export function delXqdw(data) {
  return request({
    url: '/api/gxzz/xqdw/del',
    method: 'post',
    data
  })
}

/**
 * 配送地址查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function getPsdzList(data) {
  return request({
    url: '/api/gxzz/psdz/get',
    method: 'post',
    data
  })
}

/**
 * 配送地址添加
 * @param {*} data
 * @returns
 */
export function addPsdz(data) {
  return request({
    url: '/api/gxzz/psdz/add',
    method: 'post',
    data
  })
}

/**
 * 配送地址修改
 * @param {*} data
 * @returns
 */
export function updatePsdz(data) {
  return request({
    url: '/api/gxzz/psdz/update',
    method: 'post',
    data
  })
}

/**
 * 配送地址删除
 * @param {*} data
 * @returns
 */
export function delPsdz(data) {
  return request({
    url: '/api/gxzz/psdz/del',
    method: 'post',
    data
  })
}


/**
 * 配送地址新接口
 * @param {*} data
 * @returns
 */
 export function getAllPsdz(data) {
  return request({
    url: '/api/gxzz/psdz/getps',
    method: 'post',
    data
  })
}

/**
 * 配送地址根据需求单位查询地址
 * @param {*} data
 * @returns
 */
 export function getAllPsdzAddress(data) {
  return request({
    url: '/api/gxzz/psdz/getpsaddress',
    method: 'post',
    data
  })
}
/**
 * 根据地址查询联系人
 * @param {*} data
 * @returns
 */
 export function getAllPsdzLxr(data) {
  return request({
    url: '/api/gxzz/psdz/getpslxr',
    method: 'post',
    data
  })
}




/**
 * 计划提前期条件查询
 * @param {*} data
 * @returns
 */
export function getJhtqqList(data) {
  return request({
    url: '/api/gxzz/jhtq/get',
    method: 'post',
    data
  })
}

/**
 * 计划提前期添加
 * @param {*} data
 * @returns
 */
export function addJhtqq(data) {
  return request({
    url: '/api/gxzz/jhtq/add',
    method: 'post',
    data
  })
}

/**
 * 计划提前期修改
 */
export function updateJhtqq(data) {
  return request({
    url: '/api/gxzz/jhtq/update',
    method: 'post',
    data
  })
}

/**
 * 计划提前期删除
 * @param {*} data
 * @returns
 */
export function delJhtqq(data) {
  return request({
    url: '/api/gxzz/jhtq/del',
    method: 'post',
    data
  })
}

/**
 * 工位管理查询
 * @param {*} data
 * @returns
 */
export function getGwglList(data) {
  return request({
    url: '/api/gxzz/gwgl/get',
    method: 'post',
    data
  })
}

/**
 * 工位管理添加
 * @param {*} data
 * @returns
 */
export function addGwgl(data) {
  return request({
    url: '/api/gxzz/gwgl/add',
    method: 'post',
    data
  })
}

/**
 * 工位管理修改
 * @param {*} data
 * @returns
 */
export function updateGwgl(data) {
  return request({
    url: '/api/gxzz/gwgl/update',
    method: 'post',
    data
  })
}

/**
 * 工位管理删除
 * @param {*} data
 * @returns
 */
export function delGwgl(data) {
  return request({
    url: '/api/gxzz/gwgl/del',
    method: 'post',
    data
  })
}

/**
 * 材质管理条件查询
 * @param {*} data
 * @returns
 */
export function getCzglList(data) {
  return request({
    url: '/api/gxzz/czgl/get',
    method: 'post',
    data
  })
}

/**
 * 材质管理添加
 * @param {*} data
 * @returns
 */
export function addCzgl(data) {
  return request({
    url: '/api/gxzz/czgl/add',
    method: 'post',
    data
  })
}

/**
 * 材质管理修改
 * @param {*} data
 * @returns
 */
export function updateCzgl(data) {
  return request({
    url: '/api/gxzz/czgl/update',
    method: 'post',
    data
  })
}

/**
 * 材质管理删除
 * @param {*} data
 * @returns
 */
export function delCzgl(data) {
  return request({
    url: '/api/gxzz/czgl/del',
    method: 'post',
    data
  })
}

/**
 * 表面处理条件查询
 * @param {*} data
 * @returns
 */
export function getBmclList(data) {
  return request({
    url: '/api/gxzz/bmcl/get',
    method: 'post',
    data
  })
}

/**
 * 表面处理添加
 * @param {*} data
 * @returns
 */
export function addBmcl(data) {
  return request({
    url: '/api/gxzz/bmcl/add',
    method: 'post',
    data
  })
}

/**
 * 表面处理修改
 * @param {*} data
 * @returns
 */
export function updateBmcl(data) {
  return request({
    url: '/api/gxzz/bmcl/update',
    method: 'post',
    data
  })
}

/**
 * 表面数据删除
 * @param {*} data
 * @returns
 */
export function delBmcl(data) {
  return request({
    url: '/api/gxzz/bmcl/del',
    method: 'post',
    data
  })
}

/**
 * 单位部门添加
 * @param {*} data
 * @returns
 */
export function addDepart(data) {
  return request({
    url: '/api/gxzz/dwgl/add',
    method: 'post',
    data
  })
}

/**
 * 单位部门修改
 * @param {*} data
 * @returns
 */
export function updateDepart(data) {
  return request({
    url: '/api/gxzz/dwgl/update',
    method: 'post',
    data
  })
}

/**
 * 单位部门删除
 * @param {*} data
 * @returns
 */
export function delDepart(data) {
  return request({
    url: '/api/gxzz/dwgl/del',
    method: 'post',
    data
  })
}

/**
 * 员工添加
 * @param {*} data
 * @returns
 */
export function addEmployee(data) {
  return request({
    url: '/api/gxzz/yggl/add',
    method: 'post',
    data
  })
}

/**
 * 员工修改
 * @param {*} data
 * @returns
 */
export function updateEmployee(data) {
  return request({
    url: '/api/gxzz/yggl/update',
    method: 'post',
    data
  })
}

/**
 * 员工删除
 * @param {*} data
 * @returns
 */
export function delEmployee(data) {
  return request({
    url: '/api/gxzz/yggl/del',
    method: 'post',
    data
  })
}

/**
 * 条件查询船只
 * @param {*} data
 * @returns
 */
export function getShipList(data) {
  return request({
    url: '/api/gj/dmProject/getcon',
    method: 'post',
    data
  })
}

/**
 * 只查船号
 * @returns
 */
export function getShipAll() {
  return request({
    url: '/api/gj/dmProject/getpro',
    method: 'post'
  })
}

/**
 * 修改船只
 * @param {*} data
 * @returns
 */
export function updateShip(data) {
  return request({
    url: '/api/gj/dmProject/update',
    method: 'post',
    data
  })
}

/**
 * 材质转换条件查询
 * @param {*} data
 * @returns
 */
export function getCzzhList(data) {
  return request({
    url: '/api/gxzz/czzh/getcon',
    method: 'post',
    data
  })
}

/**
 * 材质转换添加
 * @param {*} data
 * @returns
 */
export function addCzzh(data) {
  return request({
    url: '/api/gxzz/czzh/add',
    method: 'post',
    data
  })
}

/**
 * 材质转换修改
 * @param {*} data
 * @returns
 */
export function updateCzzh(data) {
  return request({
    url: '/api/gxzz/czzh/update',
    method: 'post',
    data
  })
}

/**
 * 材质转换删除
 * @param {*} data
 * @returns
 */
export function delCzzh(data) {
  return request({
    url: '/api/gxzz/czzh/del',
    method: 'post',
    data
  })
}

/**
 * 物品全部基础数据条件查询
 * @param {*} data
 * @returns
 */
export function getWpqbsjList(data){
  return request({
    url: '/api/gj/dmMateria/getallcon',
    method: 'post',
    data
  })
}

export function getMaterial(data){
  return request({
    url: '/common/getMaterial',
    method: 'post',
    data
  })
}
export function getWpBase(data){
  return request({
    url: '/api/gj/dmMateria/base',
    method: 'post',
    data
  })
}

export function getWBase(data){
  return request({
    url: '/api/gj/dmMateria/baseForTX',
    method: 'post',
    data
  })
}

/**
 * 物品管系基础数据条件查询
 * @param {*} data
 * @returns
 */
export function getWpsjList(data) {
  return request({
    url: '/api/gj/dmMateria/getcon',
    method: 'post',
    data
  })
}

/**
 * 物品基础数据添加
 * @param {*} data
 * @returns
 */
export function addWpsj(data) {
  return request({
    url: '/api/gj/dmMateria/add',
    method: 'post',
    data
  })
}

/**
 * 物品基础数据修改
 * @param {*} data
 * @returns
 */
export function updateWpsj(data) {
  return request({
    url: '/api/gj/dmMateria/update',
    method: 'post',
    data
  })
}


/**
 * 需求单位查询
 * @param {*} data
 * @returns
 */
 export function allWpsj(data) {
  return request({
    url: '/api/gxzz/xqdw/all',
    method: 'post',
    data
  })
}


/**
 * 物品基础数据删除
 * @param {*} data
 * @returns
 */
export function delWpsj(data) {
  return request({
    url: '/api/gj/dmMateria/del',
    method: 'post',
    data
  })
}

/**
 * 公式管理-作废
 * @param {*} data
 * @returns
 */
export function GSZF(data) {
  return request({
    url: '/api/gj/dmFormula/toVoid',
    method: 'post',
    data
  })
}

/**
 * 公式管理-启用
 * @param {*} data
 * @returns
 */
export function GSQY(data) {
  return request({
    url: 'api/gj/dmFormula/enable',
    method: 'post',
    data
  })
}

// 油漆消耗系数
export function getPaintList(data) { return request({ url: '/api/gxzz/dmPaint/getPaintList', method: 'post', data }) }
export function addorUpdatePaints(data) { return request({ url: '/api/gxzz/dmPaint/addorUpdatePaints', method: 'post', data }) }
export function delPaint(data) { return request({ url: '/api/gxzz/dmPaint/delPaint', method: 'post', data }) }

//j检查系统
export function getJproSytemList(data) { return request({ url: '/api/gxzz/dmJproSystem/getJproSytemList', method: 'post', data }) }
export function getJproSytemBase(data) { return request({ url: '/api/gxzz/dmJproSystem/getJproSytemBase', method: 'post', data }) }
export function delJproSytem(data) { return request({ url: '/api/gxzz/dmJproSystem/delJproSytem', method: 'post', data }) }
export function addorUpdatJproSytem(data) { return request({ url: '/api/gxzz/dmJproSystem/addorUpdatJproSytem', method: 'post', data }) }
